Page MenuHomeVyOS Platform

But when I get DHCPv6 address for interface deletion, script execution error occurs
Closed, ResolvedPublicBUG

Description

However, when I get DHCPv6 address for interface deletion, a script execution error occurs. The operation sequence is:

vyos@vyos# set interfaces bridge br1 address dhcpv6 
[edit]
vyos@vyos# commit
[edit]
vyos@vyos# delete interfaces bridge br1 address dhcpv6 
[edit]
vyos@vyos# commit

发生如下错误报告:

[ interfaces bridge br1 ]
start-stop-daemon: --start needs --exec or --startas
Try 'start-stop-daemon --help' for more information.
VyOS had an issue completing a command.

We are sorry that you encountered a problem while using VyOS.
There are a few things you can do to help us (and yourself):

When reporting problems, please include as much information as possible:

  • do not obfuscate any data (feel free to contact us privately if your business policy requires it)
  • and include all the information presented below

Report Time: 2020-04-24 19:50:35
Image Version: VyOS 1.3-rolling-202004240117
Release Train: equuleus

Built by: autobuild@vyos.net
Built on: Fri 24 Apr 2020 01:17 UTC
Build UUID: ac176fa2-5d88-4558-9616-aec2f4727947
Build Commit ID: 1f0cad00cf26b7

Architecture: x86_64
Boot via: installed image
System type: guest

Hardware vendor: To Be Filled By O.E.M.
Hardware model: To Be Filled By O.E.M.
Hardware S/N: To Be Filled By O.E.M.
Hardware UUID: 03000200-0400-0500-0006-000700080009

Traceback (most recent call last):

File "/usr/libexec/vyos/conf_mode/interfaces-bridge.py", line 392, in <module>
  apply(c)
File "/usr/libexec/vyos/conf_mode/interfaces-bridge.py", line 368, in apply
  br.del_addr(addr)
File "/usr/lib/python3/dist-packages/vyos/ifconfig/interface.py", line 687, in del_addr
  self.dhcp.v6.delete()
File "/usr/lib/python3/dist-packages/vyos/ifconfig/dhcp.py", line 194, in delete
  self._cmd(cmd.format(**self.file))
File "/usr/lib/python3/dist-packages/vyos/ifconfig/control.py", line 48, in _cmd
  return cmd(command, self.debug)
File "/usr/lib/python3/dist-packages/vyos/util.py", line 139, in cmd
  raise OSError(code, feedback)

ProcessLookupError: [Errno 3] failed to run command: start-stop-daemon --start --oknodo --quiet --pidfile /var/lib/dhcp/dhclient_br1.v6pid
returned:
exit code: 3

interfaces bridge br1 failed
Commit failed
[edit]

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.3-rolling-202004240117
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

pasik added a subscriber: pasik.Apr 24 2020, 1:01 PM
jack9603301 assigned this task to c-po.Apr 25 2020, 12:46 PM
c-po added a comment.Apr 25 2020, 4:15 PM
This comment was removed by c-po.
c-po removed c-po as the assignee of this task.Apr 25 2020, 4:15 PM
c-po added a subscriber: c-po.

@jack9603301 can you check it with the latest rolling?

This problem may have been resolved for a few months, and I am currently using VyOS 1.3-rolling-202007190117
If no problem is found, I will close this question. If other problems are found, I will reopen it.

jack9603301 closed this task as Resolved.Aug 11 2020, 8:02 AM
jack9603301 triaged this task as High priority.